Substy Developers
Scripts

Get creator scripts performance

Read sends, unlocks, conversion rate and first-PPV unlock rate for every sales script of a creator, all time, over the last 7, 30 or 90 days, or between two days, as the scripts list shows them. Script statistics require an eligible subscription.

GET/v1/agencies/{agencyId}/creators/{creatorId}/scripts/performance

Read sends, unlocks, conversion rate and first-PPV unlock rate for every sales script of a creator, all time, over the last 7, 30 or 90 days, or between two days, as the scripts list shows them. Script statistics require an eligible subscription.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string

Query Parameters

period?string

Value in

  • "7d"
  • "30d"
  • "90d"
  • "all"
from?string
Match^\d{4}-\d{2}-\d{2}$
to?string
Match^\d{4}-\d{2}-\d{2}$
timezone?string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/creators/string/scripts/performance" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": [    {      "scriptId": "string",      "sent": 0,      "paid": 0,      "pricedSent": 0,      "pricedPaid": 0,      "conversionRate": 0,      "steps": [        {          "step": 0,          "templateId": "string",          "price": 0,          "sent": 0,          "paid": 0,          "unlockRate": 0        }      ],      "firstPaidStep": null    }  ],  "meta": {    "requestId": "string"  }}